# Medical Review Summary

| **API URL**     | {{url}}/spice-service/medical-review/summary |
| --------------- | -------------------------------------------- |
| **Method**      | POST                                         |
| **Description** | Medical review summary                       |

#### **Input:** <a href="#medicalreviewsummary-input" id="medicalreviewsummary-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#medicalreviewsummary-sampleinput" id="medicalreviewsummary-sampleinput"></a>

{\
"latestRequired": true,\
"medicalReviewSummary": false,\
"patientTrackId": 21,\
"tenantId": 4\
}

#### **Output:** <a href="#medicalreviewsummary-output" id="medicalreviewsummary-output"></a>

| **Field Name**       | **Type**  | **Comments**           |
| -------------------- | --------- | ---------------------- |
| `medicalReviews`     | Array     | Medical reviews        |
| `patientReviewDates` | Array     | Patient review dates   |
| `visitDate`          | Timestamp | Patient visit date     |
| `id`                 | Integer   | Patient review date id |
| `prescriptions`      | Array     | Prescription referred  |
| `investigations`     | Array     | Investigation referred |
| `reviewedAt`         | Timestamp | Patient reviewed date  |

#### **Sample Output:** <a href="#medicalreviewsummary-sampleoutput" id="medicalreviewsummary-sampleoutput"></a>

```
{
  "message": "Medical review summary fetched successfully.",
  "entity": {
    "medicalReviews": [],
    "patientReviewDates": [
      {
        "visitDate": "2023-05-25T18:49:41+05:30",
        "id": 20
      },
      {
        "visitDate": "2023-05-26T12:17:58+05:30",
        "id": 30
      }
    ],
    "prescriptions": [],
    "investigations": [],
    "reviewedAt": "2023-05-26T12:17:58+05:30"
  },
  "status": true,
  "entityList": null,
  "responseCode": 200,
  "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/medical-review-summary.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
